Get task by task number
GET /tasks/find
GET
/tasks/find
Retrieve a single task by task number (unique per company).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” task_number
required
integer
Task number (unique per company)
Responses
Section titled “ Responses ”Task details
object
id
string
company_id
string
parent_id
string | null
task_type_id
string
creator_id
string
assignee_id
string | null
status_id
string
owner_id
string | null
title
string
description
string | null
priority
string
location
string | null
scheduled_start
string | null format: date-time
scheduled_end
string | null format: date-time
due_date
string | null format: date-time
estimated_hours
string | null
actual_hours
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
completed_at
string | null format: date-time
is_archived
boolean
team_id
string
workflow_id
string
assigned_at
string | null format: date-time
entity_type
string | null
entity_id
string | null
task_number
integer
entity_data
object | null
task_data
object | null
computed_data
object | null
reminder_ids
array | null
checklist
object | null
organization_id
string | null
viewed_at
string | null format: date-time
geo_lat
string | null
geo_lon
string | null
step
string | null
Missing or invalid task_number
object
success
required
boolean
error
required
string
Example
An error occurredUnauthorized
object
success
required
boolean
error
required
string
Example
An error occurredTask not found
object
success
required
boolean
error
required
string
Example
An error occurred